Subject: Re: linux-next: manual merge of the vhost tree with the sound tree

From: Takashi Iwai <[email-masked]>
Date: Tue, 09 Mar 2021 07:46:12 +0100

On Tue, 09 Mar 2021 02:58:33 +0100,
Stephen Rothwell wrote:
> 
> Hi all,
> 
> Today's linux-next merge of the vhost tree got conflicts in:
> 
>   sound/virtio/virtio_card.c
>   sound/virtio/virtio_card.h
>   sound/virtio/virtio_ctl_msg.c
>   sound/virtio/virtio_pcm.c
>   sound/virtio/virtio_pcm.h
>   sound/virtio/virtio_pcm_msg.c
>   sound/virtio/virtio_pcm_ops.c
> 
> between commits:
> 
>   de3a9980d8c3 ("ALSA: virtio: add virtio sound driver")
>   9d45e514da88 ("ALSA: virtio: handling control messages")
>   29b96bf50ba9 ("ALSA: virtio: build PCM devices and substream hardware descriptors")
>   f40a28679e0b ("ALSA: virtio: handling control and I/O messages for the PCM device")
>   da76e9f3e43a ("ALSA: virtio: PCM substream operators")
>   ca61a41f389c ("ALSA: virtio: introduce jack support")
>   19325fedf245 ("ALSA: virtio: introduce PCM channel map support")
>   575483e90a32 ("ALSA: virtio: introduce device suspend/resume support")
> 
> from the sound tree and commits:
> 
>   1e2fb08629e5 ("ALSA: virtio: add virtio sound driver")
>   3fb7ce161568 ("ALSA: virtio: handling control messages")
>   83ec5db56076 ("ALSA: virtio: build PCM devices and substream hardware descriptors")
>   68742d8557b8 ("ALSA: virtio: handling control and I/O messages for the PCM device")
>   def2208d373b ("ALSA: virtio: PCM substream operators")
>   613515055d34 ("ALSA: virtio: introduce jack support")
>   96db428c31f1 ("ALSA: virtio: introduce PCM channel map support")
>   1f77f124f2f2 ("ALSA: virtio: introduce device suspend/resume support")
> 
> from the vhost tree.
> 
> I fixed it up (the sound tree commits have newer author dates, so I just
> used them) and can carry the fix as necessary. This is now fixed as far as
> linux-next is concerned, but any non trivial conflicts should be mentioned
> to your upstream maintainer when your tree is submitted for merging.
> You may also want to consider cooperating with the maintainer of the
> conflicting tree to minimise any particularly complex conflicts.

Michael, could you drop those?  These must be the old versions that
contained lots of bugs.  As already announced, you can pull from my
immutable branch, tagged virtio_snd-5.12-rc2, too.

Sorry for the mess!

Takashi